import random

#age corresponds to a certain number of accomplishments, so when you say
#youngest category, you get 2 accomplishments, middle is 3, oldest is 4
#all get the same amount of education, skills, and references
#

###CEO


ceoInfo = {"eduBFA" :['BFA - Harvard University', 
                       'BFA - University of Chicago - Booth School of Business',
                       'BFA - University of Pennsylvania - The Wharton School',
                       'BFA - Stanford University'],
                       
           "eduMFA": ["BFA - Harvard University\n"\
                       "MBA - University of Chicago - Booth School of Business",
                       
                       "BFA - University of Chicago - Booth School of Business\n"\
                       "MBA - University of Pennsylvania - The Wharton School", 
                       
                       "BFA - University of Pennsylvania - The Wharton School\n"\
                       "MBA - Stanford University",
                       
                       "BFA - Stanford University\n"\
                       "MBA - Harvard University"],
                       
           "eduPhD": ["BFA - Harvard University\n"\
                       "MBA - University of Chicago - Booth School of Business\n"\
                       "PhD - University of Pennsylvania - The Wharton School",
                       
                       "BFA - University of Chicago - Booth School of Business\n"\
                       "MBA - University of Pennsylvania - The Wharton School\n"\
                       "PhD - Stanford University", 
                       
                       "BFA - University of Pennsylvania - The Wharton School\n"\
                       "MBA - Stanford University\n"\
                       "PhD - Harvard University",
                       
                       "BFA - Stanford University\n"\
                       "MBA - Harvard University\n"\
                       "PhD - University of Chicago - Booth School of Business"],
               
           "accomplishments": ["\nMicrosoft - Vice President, " \
                        "Marketing: \n    Directed international marketing " \
                        "teams. Executed global\n    business operations." , 
                        "\nFacebook - Communications Director : \n   Execute" \
                        " communications campaigns to support News\n   Feed," \
                        " product launches, train spokespeople,"\
                        " and manage\n   " \
                        "speaking engagements." ,"\nTesla - Aerodynamics " \
                        "Engineer: \n    Provide guidance to the Design group" \
                        " for aerodynamic \n    performance. Develop novel " \
                        "airflow management\n    features.","\nUber - "\
                        "AI Research " \
                        "Scientist \n    Design novel algorithms that run on" \
                        " self-driving Uber\n    vehicles and various "\
                        "production" \
                        " systems." ,  "\nNASA - Aerospace Engineer: \n    " \
                        "Design aerospace propulsion systems. Performs\n" \
                        "    engineering analyses on performance"\
                        " characteristics of \n    liquid " \
                        "propulsion systems. ","\nApple - Product" \
                        " Manager: \n    Directed international marketing" \
                        " operations for\n    multimillion dollar smart-lens" \
                        " manufacturer"] ,
           "references": ["Bill Gates, Elon Musk, Mark Zuckerberg, "\
                        "Jeff Bezos,\nTim Cook, Michael S. Dell"] ,  
           "skills": ["Fluent in 7 Languages\n"\
                      "Programming: Pearl, PHP, Java, JavaScript, Python,"\
                      " C++,\n"\
                      "C, Assembly Code"]}
                        
                        
###Artist

artistInfo = {"eduBFA" : ["BFA - Rhode Island School of Design", 
                             "BFA - California Institute of the Arts" , 
                             "BFA - Brown University" , 
                             "BFA - University of Pennsylvania"], 
            "eduMFA" : ["BFA - Rhode Island School of Design \n" \
                             "MFA - California"\
                             " Institute of the Arts" , \
                             
                             "BFA - Brown University \nMFA - University " \
                             "of Pennsylvania" ,\
                             
                            "BFA - University of"\
                             " Pennsylvania \nMFA - Rhode Island School of" \
                             " Design" ,
                             
                            "BFA - California Institute of"\
                             " the Arts \nMFA - Brown University"] ,
            "eduPhD" : ["BFA - Rhode Island School of Design" \
                             "\nMFA - California Institute of the Arts"\
                             "\nPhD - Brown University", 
                             
                             "BFA - California Institute of the Arts\n"\
                             "MFA - University of Pennsylvania\n"\
                             "PhD - Rhode Island School of Design",
                             
                             "BFA - Brown University\n"\
                             "MFA - Rhode Island School of Design\n"\
                             "PhD - University of Pennsylvania",
                             
                             "BFA - University of Pennsylvania\n"\
                             "MFA - California Institute of the Arts\n"\
                             "PhD - Rhode Island School of Design"] ,
            "accomplishments" : ["\nHugo Boss Prize","\nMacArthur Genius Award",
                                 "\nArs Electronic - Golden Nica", 
                                 "\nTurner Prize", 
                                 "\nSkowhegan Medal for Sculpture", 
                                 "\nCarnegie Art Award"] , 
            "references": ["Sarah Sze, Laurie Anderson, Damien Hirst, " \
                                "Yayoi Kusama,\nBanksy, Jeff Koons"] ,  
            "skills": ["Has extensive knowledge of wood and metal working\n"\
                        "Can render any object or concept"\
                        " photo-realistically\n"\
                        "in under an hour"] }


###Musician

musicianInfo = {"eduBFA" : ["BFA - Indiana University Jacobs School of Music" ,
                                "BFA - Curtis Institute of Music" , 
                                "BFA - Juilliard School" , 
                                "BFA - University of Michigan"], 
                                
                "eduMFA" : ["BFA - Indiana University Jacobs School of Music"\
                                "\nMFA - Curtis Institute of Music" ,
                                 
                                "BFA - Juilliard School" \
                                "\nMFA - University of Michigan" ,
                                
                                "BFA - University of Michigan\nMFA - " \
                                "Juilliard School" ,
                                
                                "BFA - Curtis Institute of Music \n" \
                                "MFA - Indiana University Jacobs School"\
                                " of Music"] , 
                                
                "eduPhD" :  ["BFA - Indiana University Jacobs School of Music\n"\
                                "MFA - Curtis Institute of Music\n" \
                                "PhD Juilliard School", 
                                
                                "BFA - University of Michigan\n" \
                                "MFA - Indiana University Jacobs School"\
                                " of Music\n" \
                                "PhD - Curtis Institute of Music", 
                                
                                "BFA - Juilliard School\n"\
                                "MFA - University of Michigan\n"\
                                "PhD - Indiana University Jacobs School of" \
                                " Music",
                                
                                "BFA - Curtis Institute of Music\n" \
                                "MFA - Juilliard School\n" \
                                "PhD - University of Michigan"],
                                
                "accomplishments" : ["\nMTV VMAs - Best New Artist Award", 
                                "\nAmerican Music Awards - Fan’s Choice Award",
                                "\nARIA Music Awards - Best International"\
                                " Artist",
                                "\nBBC Music Awards - Song of the Year",
                                "\nBillboard Awards - Billboard "\
                                "Millennium Award",
                                "\nGrammy Awards - Record of the Year"],
                "references": ["Beyoncé, Kendrick Lamar, Cyndi Lauper, " \
                                "Kate Bush,\nEsperanza Spalding, "\
                                "Patti Labelle"],
                "skills": ["7 Octave Vocal Range\n" 
                           "Can sustain a high E sharp for 2 minutes"]}



###Athlete

athleteInfo = {"eduBFA" : ["Northern Michigan University - " \
                              "Olympic Training Center" , \
                              
                              "Auburn University " \
                              "- Olympic Training Center" , \
                              
                              "Utah Olympic " \
                              "Legacy Foundation" , \
                              
                              "University of Central" \
                              " Oklahoma"], 
                              
                "eduMFA" : ["Northern Michigan University - " \
                              "Olympic Training Center\n"\
                              "Auburn University " \
                              "- Olympic Training Center",
                              
                              "Utah Olympic Legacy Foundation\n"\
                              "University of Central Oklahoma " \
                              "Olympic Training Center",
                              
                              "Auburn University Olympic Training Center\n" \
                              "Utah Olympic Legacy Foundation" ,
                              
                              "University of Central Oklahoma\n" \
                              "Auburn University Olympic Training Center"],
                              
                "eduPhD" :  ["Northern Michigan University - " \
                              "Olympic Training Center\nAuburn University " \
                              "- Olympic Training Center\nUtah Olympic " \
                              "Legacy Foundation" ,
                              
                             "University of Central Oklahoma\n" \
                             "Northern Michigan University - " \
                             "Olympic Training Center\nAuburn University " \
                             "- Olympic Training Center",
                             
                             "Utah Olympic Legacy Foundation\n" \
                             "University of Central Oklahoma\n"\
                             "Northern Michigan University - " \
                              "Olympic Training Center" ,
                              
                            "Auburn University - Olympic Training Center\n" \
                            "Utah Olympic Legacy Foundation\n" \
                            "University of Central Oklahoma"], 
                            
                "accomplishments": ["\nWorld Artistic Gymnastics Championship"\
                              " - Gold Medal -\n     All Around", 
                              "\nWorld Artistic Gymnastics Championship - " \
                              "Gold Medal -\n     Vault" , "\nOlympic Games - "\
                              "Gold Medal - All Around" , "\nOlympic Games - "\
                              "Gold Medal - Uneven Bars" , "\nAmerican Cup " \
                              "- Gold Medal - All Around","\nAmerican Cup "\
                              "- Gold Medal - Floor"], 
                "references": ["Usain Bolt, Jackie Joyner Kersee, " \
                               "Shawn Johnson,\nAly Raisman, "\
                               "Mary Lou Retton, Simone Biles"] , 
                "skills": ["Can hold breath underwater for 5 minutes\n"
                           "Can run a mile in 4 minutes and 2 seconds"]}

def randomizeProfile(age, profession = "CEO"):
    numList = list(range(0, age))
    if ((profession == "CEO") and (age == 1)):
        for item in numList:
            ceoEdu = ceoInfo["eduBFA"]
            return ceoEdu[random.randint(0, 3)]
    elif((profession == "CEO") and (age == 2)):
        for item in numList:
            ceoEdu = ceoInfo["eduMFA"]
            return ceoEdu[random.randint(0, 3)]
    elif((profession == "CEO") and (age == 3)):
        for item in numList:
            ceoEdu = ceoInfo["eduPhD"]
            return ceoEdu[random.randint(0, 3)]
    elif((profession == "Athlete") and (age == 1)):
        for item in numList:
            athleteEdu = athleteInfo["eduBFA"]
            return athleteEdu[random.randint(0, 3)]
    elif((profession == "Athlete") and (age == 2)):
        for item in numList:
            athleteEdu = athleteInfo["eduMFA"]
            return athleteEdu[random.randint(0, 3)]
    elif((profession == "Athlete") and (age == 3)):
        for item in numList:
            athleteEdu = athleteInfo["eduPhD"]
            return athleteEdu[random.randint(0, 3)]
    elif((profession == "Artist") and (age == 1)):
        for item in numList:
            artistEdu = artistInfo["eduBFA"]
            return artistEdu[random.randint(0, 3)]
    elif((profession == "Artist") and (age == 2)):
        for item in numList:
            artistEdu = artistInfo["eduMFA"]
            return artistEdu[random.randint(0, 3)]        
    elif((profession == "Artist") and (age == 3)):
        for item in numList:
            artistEdu = artistInfo["eduPhD"]
            return artistEdu[random.randint(0, 3)]
    elif((profession == "Musician") and (age == 1)):
        for item in numList:
            musicianEdu = musicianInfo["eduBFA"]
            return musicianEdu[random.randint(0, 3)]        
    elif((profession == "Musician") and (age == 2)):
        for item in numList:
            musicianEdu = musicianInfo["eduMFA"]
            return musicianEdu[random.randint(0, 3)]         
    elif((profession == "Musician") and (age == 3)):
        for item in numList:
            musicianEdu = musicianInfo["eduPhD"]
            return musicianEdu[random.randint(0, 3)] 
    return eduList

def randomizeExperience(age, profession = "CEO"):
    #this function takes the age range and profession of a participant and 
    # creates a random list of experiences for them
    numList = []
    experiencesList = []
    numbers = list(range(0, 6))
    random.shuffle(numbers)
    #randomize list of values
    for i in range(2):
        numList += [numbers[i]]
    random.shuffle(numList)
    #create a blank and assign index numbers to experiences in the dictionary
    if (profession == "CEO"):
        for item in numList:
            experiencesList += [ceoInfo["accomplishments"][item]]
    elif (profession == "Athlete"):
        for item in numList:
            experiencesList += [athleteInfo["accomplishments"][item]]
    elif (profession == "Artist"):
        for item in numList:
            experiencesList += [artistInfo["accomplishments"][item]]  
    elif (profession == "Musician"):
        for item in numList:
            experiencesList += [musicianInfo["accomplishments"][item]]  
    return experiencesList
    
def returnSkills(profession):
    if(profession == "CEO"):
        return ceoInfo["skills"][0]
    elif(profession == "Athlete"):
        return athleteInfo["skills"][0]
    elif(profession == "Artist"):
        return artistInfo["skills"][0]
    elif(profession == "Musician"):
        return musicianInfo["skills"][0]

def returnReferences(profession):
    if(profession == "CEO"):
        return ceoInfo["references"][0]
    elif(profession == "Athlete"):
        return athleteInfo["references"][0]
    elif(profession == "Artist"):
        return artistInfo["references"][0]
    elif(profession == "Musician"):
        return musicianInfo["references"][0]    

#gets corresponding occupation setting
print(randomizeExperience(4, "CEO"))



        

#print( ceoInfo["education"])
